%global cvs 20140530

Name:           scamper
Version:        0
Release:        0.9.%{cvs}%{?dist}
Summary:        A network measurement tool

License:        GPLv2
URL:            http://www.caida.org/tools/measurement/scamper/
Source0:        http://www.caida.org/tools/measurement/%{name}/code/%{name}-cvs-%{cvs}.tar.gz

%description
scamper is a program that is able to conduct Internet measurement tasks to
large numbers of IPv4 and IPv6 addresses, in parallel, to fill a specified
packets-per-second rate. Currently, it supports the well-known ping and
traceroute techniques, as well as radargun, ally, mercator, sting, and parts
of tbit.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for %{name}.

%prep
%setup -q -n %{name}-cvs-%{cvs}

%build
%configure --enable-static=no
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig

%files
%doc TODO COPYING
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_bindir}/sc_*
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/lib*.so

%changelog
* Fri Sep 26 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.9.20140530
- Update to latest upstream release 20140530

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20130824
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20130824
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 04 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.6.20130824
- Update to latest upstream release 20130824

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20111202c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20111202c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jun 09 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.3.20111202c
- COPYING file added
- Updated to 20111202c (FSF address fix)

* Mon May 28 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.2.20111202b
- Description of packages adjusted
- Macros for version
- Arch-specific requirement for subpackage

* Fri Mar 30 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.1.20111202a
- Initial package for Fedora
